Issue 125122 - WW8 import: TOC inside TOC is caused wrong TOC section
Summary: WW8 import: TOC inside TOC is caused wrong TOC section
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: 4.0.0
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.2.0
Assignee: Oliver-Rainer Wittmann
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-19 09:09 UTC by Oliver-Rainer Wittmann
Modified: 2017-05-20 10:35 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver-Rainer Wittmann 2014-06-19 09:09:54 UTC
Microsoft Word allows to embedded a Table of Content (TOC) inside a TOC.
Since we are imported the TOC's content since AOO 4.0.0, issue 119963 such a TOC inside a TOC causes problems.

- Import a sample document from issue 53044
--> TOC section contains document content
--> Updating TOC cause loss of document content
Comment 1 Oliver-Rainer Wittmann 2014-06-26 08:09:06 UTC
fix in progress
Comment 2 SVN Robot 2014-06-26 09:24:50 UTC
"orw" committed SVN revision 1605717 into trunk:
125122: WW8 import: Handle nested TOX fields
Comment 3 Oliver-Rainer Wittmann 2014-06-26 09:27:40 UTC
fixed on trunk